package com.engine.kr.entity.sync;

import org.apache.commons.lang3.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2024/08/20
 * @version: 1.0
 */
public class KqOrgData {
    private String dptprcno;
    private String dptno;
    private String dptname;
    private String isdelete;
    private String dptsysid;

    private String parentNo;

    private String subCompanyId;

    private String oaId;

    public String getSubCompanyId() {
        return subCompanyId;
    }

    public void setSubCompanyId(String subCompanyId) {
        this.subCompanyId = subCompanyId;
    }

    public String getOaId() {
        return oaId;
    }

    public void setOaId(String oaId) {
        this.oaId = oaId;
    }

    public String getParentNo() {
        if (StringUtils.isNotBlank(dptprcno) && dptprcno.length() > 3) {
            return dptprcno.substring(0, dptprcno.length() - 3);
        }
        return parentNo;
    }

    public String getDptprcno() {
        return dptprcno;
    }

    public void setDptprcno(String dptprcno) {
        this.dptprcno = dptprcno;
    }

    public String getDptno() {
        return dptno;
    }

    public void setDptno(String dptno) {
        this.dptno = dptno;
    }

    public String getDptname() {
        return dptname;
    }

    public void setDptname(String dptname) {
        this.dptname = dptname;
    }

    /**
     * N 未封存
     *
     * @return
     */
    public String getIsdelete() {
        if ("Y".equalsIgnoreCase(isdelete)) {
            return "1";
        }
        return "0";
    }

    public void setIsdelete(String isdelete) {
        this.isdelete = isdelete;
    }

    public String getDptsysid() {
        return dptsysid;
    }

    public void setDptsysid(String dptsysid) {
        this.dptsysid = dptsysid;
    }
}
