package com.engine.kr.entity.sync;

import org.apache.commons.lang3.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2024/08/20
 * @version: 1.0
 */
public class KqResourceData {
    private String empno;
    private String empname;
    private String empsexid;
    private String empstatusid;
    private String dptsysid;
    private String empbirthday;
    private String empidno;
    private String empgrpdate;
    private String empnormaldate;
    private String empleavedate;
    private String empmobile;
    private String emplocaladdr;
    private String emphomeaddr;


    public String getEmpno() {
        return empno;
    }

    public void setEmpno(String empno) {
        this.empno = empno;
    }

    public String getEmpname() {
        return empname;
    }

    public void setEmpname(String empname) {
        this.empname = empname;
    }

    public String getEmpsexid() {
        if(StringUtils.isNotBlank(empsexid)){
            if("1".equals(empsexid)){
                return "0";
            }else if("2".equals(empsexid)){
                return "1";
            }
        }
        return null;
    }

    public void setEmpsexid(String empsexid) {
        this.empsexid = empsexid;
    }

    public String getEmpstatusid() {
        if(StringUtils.isNotBlank(empstatusid)){
            if("20".equals(empstatusid)){
                return "1";
            }else if("30".equals(empstatusid)){
                return "5";
            }
        }
        return empstatusid;
    }

    public void setEmpstatusid(String empstatusid) {
        this.empstatusid = empstatusid;
    }

    public String getDptsysid() {
        return dptsysid;
    }

    public void setDptsysid(String dptsysid) {
        this.dptsysid = dptsysid;
    }

    public String getEmpbirthday() {
        if(StringUtils.isNotBlank(empbirthday)){
            return empbirthday.replace(" 00:00:00.0","");
        }
        return empbirthday;
    }

    public void setEmpbirthday(String empbirthday) {
        this.empbirthday = empbirthday;
    }

    public String getEmpidno() {
        return empidno;
    }

    public void setEmpidno(String empidno) {
        this.empidno = empidno;
    }

    public String getEmpgrpdate() {
        if(StringUtils.isNotBlank(empgrpdate)){
            return empgrpdate.replace(" 00:00:00.0","");
        }
        return empgrpdate;
    }

    public void setEmpgrpdate(String empgrpdate) {
        this.empgrpdate = empgrpdate;
    }

    public String getEmpnormaldate() {
        if(StringUtils.isNotBlank(empnormaldate)){
            return empnormaldate.replace(" 00:00:00.0","");
        }
        return empnormaldate;
    }

    public void setEmpnormaldate(String empnormaldate) {
        this.empnormaldate = empnormaldate;
    }

    public String getEmpleavedate() {
        if(StringUtils.isNotBlank(empleavedate)){
            return empleavedate.replace(" 00:00:00.0","");
        }
        return empleavedate;
    }

    public void setEmpleavedate(String empleavedate) {
        this.empleavedate = empleavedate;
    }

    public String getEmpmobile() {
        return empmobile;
    }

    public void setEmpmobile(String empmobile) {
        this.empmobile = empmobile;
    }

    public String getEmplocaladdr() {
        return emplocaladdr;
    }

    public void setEmplocaladdr(String emplocaladdr) {
        this.emplocaladdr = emplocaladdr;
    }

    public String getEmphomeaddr() {
        return emphomeaddr;
    }

    public void setEmphomeaddr(String emphomeaddr) {
        this.emphomeaddr = emphomeaddr;
    }
}
