package com.engine.kr.enums;

/**
 * @author:dxfeng
 * @createTime: 2023/05/18
 * @version: 1.0
 */
public enum KqInteractiveEnum {
    /**
     * 获取token
     */
    TOKEN("TOKEN", "/Person/getToken"),
    LEAVE_BAL("LEAVE_BAL", "/Person/iLeaveBal"),
    SIGN_CREATE("SIGN_CREATE", "/Person/iSignCreate"),
    OVERTIME_CREATE("OVERTIME_CREATE", "/Person/iOvertimeCreate"),
    LEAVE_CREATE("LEAVE_CREATE", "/Person/iLeaveCreate"),
    ;

    /**
     * 名称
     */
    private final String name;
    /**
     * 请求路径
     */
    private final String postPath;

    KqInteractiveEnum(String name, String postPath) {
        this.name = name;
        this.postPath = postPath;
    }

    public String getName() {
        return name;
    }

    public String getPostPath() {
        return postPath;
    }
}
